ExpireMap (Hyperic HQ Plugin API)
Keywords: org.hyperic.util.collection.ExpireMap class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.util.collection
Class ExpireMap

    java.lang.Object
      java.util.AbstractMap<K,V>
          java.util.HashMap
              org.hyperic.util.collection.ExpireMap

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.util.Map

    public class ExpireMap

extends java.util.HashMap

See Also:
  Serialized Form

Nested Class Summary
`class` | `ExpireMap.Value` This is the class used as value to the ExpireMap class

Constructor Summary
`ExpireMap()`

Method Summary
`boolean` | `containsKey(java.lang.Object key)`
`java.util.Set` | `entrySet()`
`java.lang.Object` | `get(java.lang.Object key)`
`static ExpireMap` | `getSynchronizedCache()` Get an instance of ExpireMap which is backed by a synchronized map
`java.util.Set` | `keySet()`
`static void` | `main(java.lang.String[] args)`
`java.lang.Object` | `put(java.lang.Object key, java.lang.Object value)`
`java.lang.Object` | `put(java.lang.Object key, java.lang.Object value, long expiration)`
`java.util.Collection` | `values()`

Methods inherited from class java.util.HashMap
`clear, clone, containsValue, isEmpty, putAll, remove, size`

Methods inherited from class java.util.AbstractMap
`equals, hashCode, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Map
`equals, hashCode`

Constructor Detail

### ExpireMap

    public ExpireMap()

Method Detail

### entrySet

    public java.util.Set entrySet()

  Specified by:
    `entrySet` in interface `java.util.Map`
  Overrides:
    `entrySet` in class `java.util.HashMap`

### get

    public java.lang.Object get(java.lang.Object key)

  Specified by:
    `get` in interface `java.util.Map`
  Overrides:
    `get` in class `java.util.HashMap`

### containsKey

    public boolean containsKey(java.lang.Object key)

  Specified by:
    `containsKey` in interface `java.util.Map`
  Overrides:
    `containsKey` in class `java.util.HashMap`

### keySet

    public java.util.Set keySet()

  Specified by:
    `keySet` in interface `java.util.Map`
  Overrides:
    `keySet` in class `java.util.HashMap`

### values

    public java.util.Collection values()

  Specified by:
    `values` in interface `java.util.Map`
  Overrides:
    `values` in class `java.util.HashMap`

### put

    public java.lang.Object put(java.lang.Object key,
                                java.lang.Object value)

  Specified by:
    `put` in interface `java.util.Map`
  Overrides:
    `put` in class `java.util.HashMap`

### put

    public java.lang.Object put(java.lang.Object key,
                                java.lang.Object value,
                                long expiration)

### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getSynchronizedCache

    public static ExpireMap getSynchronizedCache()

  Get an instance of ExpireMap which is backed by a synchronized map

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.